Subject: Re: bug#65387: [PATCH] New user option 'submit-emacs-patch-display-help'

From: Daniel Martín <[email-masked]>
Date: Sun, 20 Aug 2023 11:59:47 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Eshel Yaron <[email-masked]>
>> Cc: [email-masked]
>> Date: Sat, 19 Aug 2023 22:56:18 +0200
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> This patch adds a user option for disabling the *Patch Help* buffer that
>> >> `submit-emacs-patch` displays.
>> >
>> > Thanks, but why is it important to be able to disable the
>> > instructions, enough to justify this new option?  I expect experienced
>> > people not to use this command at all, so its main purpose is for the
>> > newbies.
>> 
>> Ah I actually find this command quite convenient, except for that
>> instructions buffer that tends to get in my way.  So I guess this option
>> is useful for us semi-newbies :)
>> 
>> I don't know if it justifies a new option, as you say, and I don't mind
>> keeping a modified `submit-emacs-patch` in my config.
>> 
>> I do wonder, since `(info "(emacs)Sending Patches")` recommends using
>> `submit-emacs-patch` and that always seemed easier than doing `C-x m`
>> and adding the destination address and the attachment patch afterwards,
>> what alternative you'd expect experienced users to go with?
>
> Let's see what others think about this new command.
>
> Would people please voice their opinions about adding it?

Instead of just a toggle, we could make the new option a tristate:

- `nil`: Only displays the buffer to compose the email (what is proposed in
  this bug report).
- `help`: Displays instructions on how to send the patch (current
  behavior).  
- `patch`: Displays the patch that you want to submit in the split
  window.

Perhaps this adds useful enough functionality that adding a new
configuration option feels more justified.